
%define lib_major 0
%define lib_name lib%{name}%{lib_major}

Summary: Sound player for the Enlightenment window-manager.
Summary(fr): Lecteur de fichier audio pour Enlightenment.
Name: eMusic
Version: DR0.9
Release: 14mdk
License: GPL
Group: Sound
BuildRequires: XFree86-devel imlib-devel audiofile-devel esound-devel 
BuildRequires: libjpeg-devel libpng-devel libtiff-devel libungif-devel 
BuildRequires: zlib-devel libjpeg-static-devel libungif4-static-devel
Url: http://www.icom.net/~smelecat/emp3/
Source: eMusic-%{PACKAGE_VERSION}.tar.bz2
Patch0: eMusic-gcc295.patch.bz2
Patch1: eMusic-bigendian-fix.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
Requires: %lib_name

%description
Plays MP3, MOD (and friends), WAV, AU, and CD files...
Streaming over HTTP/SHOUTcast for mp3, au, and wav files...
Neat, easy to use plugin architecture...
Eats CPU cycles with funky eye candy =)
Converts winamp (limited support for the new 2.0 format) skins to eMusic
themes. Limited support for Gqmpeg themes, no playlist editor in converted
themes.
Other stuff.. play with it to find out.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0 -p1

%patch1 -p1

%build
rm -rf $RPM_BUILD_ROOT
libtoolize --force
%configure
%make

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%install

%makeinstall_std

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%{_datadir}/eMusic/
%{_bindir}/*

%files -n %{lib_name}
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/eMusic/*.so.*
%{_libdir}/eMusic/*.so
%{_libdir}/eMusic/*.la

%changelog
* Wed Sep 25 2002 Lenny Cartier <lenny@mandrakesoft.com> DR0.9-14mdk
- requires libeMusic
- fix files section

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> DR0.9-13mdk
- rebuild

* Thu Jun 13 2002 Lenny Cartier <lenny@mandrakesoft.com> DR0.9-12mdk
- buildrequires on libjpeg-static-devel,libungif4-static-devel

* Sun Dec 30 2001 Yves Duret <yduret@mandrakesoft.com> DR0.9-11mdk
- rebuild against libpng3
- %%makeinstall_std %%setup -q

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> DR0.9-10mdk
- rebuilt, spec corrected

* Tue Nov 28 2000 dam's <damien@mandrakesoft.com> DR0.9-9mdk
- new lib policy.

* Mon Nov  6 2000 dam's <damien@mandrakesoft.com> DR0.9-8mdk
- macrozification.
- split in 2 packages, eMusic and eMusic-devel

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> DR0.9-7mdk
- automatically added BuildRequires

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> DR0.9-6mdk
- libtoolize

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> DRO.9-5mdk
- fix group
- add post & postun sections 

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- make install DESTDIR
- SMP check/build macro
- add defattr

* Thu Aug  5 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- fix compilation with {p,}gcc 2.95

* Fri Apr 30 1999 Alexandre dussart <adussart@linux-mandrake.com>
- Mandrake compliant
- French translation
